org.keycloak.cluster.infinispan

## Class InfinispanClusterProviderFactory

- java.lang.Object
- - org.keycloak.cluster.infinispan.InfinispanClusterProviderFactory

- All Implemented Interfaces:
    ClusterProviderFactory, ProviderFactory<ClusterProvider>

      public class InfinispanClusterProviderFactory
      extends Object
      implements ClusterProviderFactory

  This impl is aware of Cross-Data-Center scenario too
  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `InfinispanClusterProviderFactory.ViewChangeListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanClusterProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ClusterProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `protected int` | `initClusterStartupTime(KeycloakSession session)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### InfinispanClusterProviderFactory

          public InfinispanClusterProviderFactory()

  - ### Method Detail

    - #### create

          public ClusterProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ClusterProvider>`

    - #### initClusterStartupTime

          protected int initClusterStartupTime(KeycloakSession session)

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ClusterProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ClusterProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<ClusterProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ClusterProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.